/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
/**
 * 
 * @export
 * @interface HostSettings
 */
export interface HostSettings {
    /**
     * 
     * @type {string}
     * @memberof HostSettings
     */
    id?: string;
    /**
     * 
     * @type {string}
     * @memberof HostSettings
     */
    url: string;
    /**
     * 
     * @type {string}
     * @memberof HostSettings
     */
    email?: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof HostSettings
     */
    socialNetworks?: Array<string>;
    /**
     * 
     * @type {string}
     * @memberof HostSettings
     */
    type: HostSettingsTypeEnum;
}


/**
 * @export
 */
export const HostSettingsTypeEnum = {
    Beta: 'BETA',
    Available: 'AVAILABLE',
    Mixed: 'MIXED'
} as const;
export type HostSettingsTypeEnum = typeof HostSettingsTypeEnum[keyof typeof HostSettingsTypeEnum];


/**
 * Check if a given object implements the HostSettings interface.
 */
export function instanceOfHostSettings(value: object): boolean {
    let isInstance = true;
    isInstance = isInstance && "url" in value;
    isInstance = isInstance && "type" in value;

    return isInstance;
}

export function HostSettingsFromJSON(json: any): HostSettings {
    return HostSettingsFromJSONTyped(json, false);
}

export function HostSettingsFromJSONTyped(json: any, ignoreDiscriminator: boolean): HostSettings {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'id': !exists(json, 'id') ? undefined : json['id'],
        'url': json['url'],
        'email': !exists(json, 'email') ? undefined : json['email'],
        'socialNetworks': !exists(json, 'socialNetworks') ? undefined : json['socialNetworks'],
        'type': json['type'],
    };
}

export function HostSettingsToJSON(value?: HostSettings | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'id': value.id,
        'url': value.url,
        'email': value.email,
        'socialNetworks': value.socialNetworks,
        'type': value.type,
    };
}

